#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name: palapeli
Summary: Jigsaw puzzle game
Group: Games/Puzzles 
URL: http://www.kde.org/applications/games/palapeli/
Version: 4.10.5
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel >= 1:%version
Suggests: palapeli-handbook

%description
Palapeli is a jigsaw puzzle game. Unlike other games in that genre, you
are not limited to aligning pieces on imaginary grids. The pieces are
freely moveable. Also, Palapeli features real persistency, i.e. everything
you do is saved on your disk immediately.

%files
%_kde_bindir/palapeli
%_kde_libdir/kde4/palapeli_jigsawslicer.so
%_kde_libdir/kde4/palapeli_rectslicer.so
%_kde_libdir/kde4/palathumbcreator.so
%_kde_libdir/kde4/palapeli_goldbergslicer.so
%_kde_services/palapeli_goldbergslicer.desktop
%_kde_applicationsdir/palapeli.desktop
%_kde_appsdir/palapeli
%_kde_iconsdir/hicolor/*/*/*palapeli*
%_kde_services/ServiceMenus/palapeli_servicemenu.desktop
%_kde_services/palapeli_jigsawslicer.desktop
%_kde_services/palapeli_rectslicer.desktop
%_kde_services/palathumbcreator.desktop
%_kde_servicetypes/libpala-slicerplugin.desktop
%_kde_datadir/mime/packages/palapeli-mimetypes.xml
%_kde_datadir/config/palapeli-collectionrc

#------------------------------------------------------------------------------

%package -n palapeli-handbook
Summary: Palapeli handbook
Conflicts: palapeli < 1:4.7.1-2
Requires:  palapeli >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n palapeli-handbook
This package provides palapeli handbook

%files -n palapeli-handbook
%_kde_docdir/HTML/en/palapeli

#------------------------------------------------------------------------------

%define libpala_major 0
%define libpala %mklibname pala %{libpala_major}

%package -n %libpala
Summary: Runtime library for Palapeli
Group: System/Libraries
Conflicts: palapeli < 1:4.3.80

%description -n %libpala
Runtime library for Palapeli

%files -n %libpala
%_kde_libdir/libpala.so.%{libpala_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel files for Palapeli
Group: Development/KDE and Qt
Conflicts: kdegames4-devel < 1:4.9.80

%description devel
This package provides devel files for Palapeli.

%files devel
%_kde_includedir/Pala
%_kde_includedir/libpala
%_kde_libdir/libpala.so
%_kde_libdir/libpala

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DINSTALL_KAJONGG=TRUE
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog
* Sat Jul 06 2013 mikala <mikala> 1:4.10.5-1.1.mga3
+ Revision: 450699
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407267
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401948
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394434
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sun Jan 13 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 362360
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339533
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334595
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326797
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319390
- imported package palapeli

